# Interface goog.disposable.IDisposable

code »

Interface for a disposable object. If a instance requires cleanup (references COM objects, DOM notes, or other disposable objects), it should implement this interface (it may subclass goog.Disposable).

Show:Public Protected Private

## Instance Methods

code »dispose ( ) ⇒ `void`

Disposes of the object and its resources.

Returns

Nothing.

code »isDisposed ( ) ⇒ `boolean`

Returns

Whether the object has been disposed of.